Subject: Re: [bug#28356] [PATCH 1/1] doc: Replace server-list with server-blocks.

From: Christopher Baines <[email-masked]>
Date: Thu, 7 Sep 2017 06:58:52 +0100

On Tue, 05 Sep 2017 14:15:30 +0300
Oleg Pykhalov <[email-masked]> wrote:

> From 2799970350073812c2d458d9750649cdf7f23315 Mon Sep 17 00:00:00 2001
> From: Oleg Pykhalov <[email-masked]>
> Date: Tue, 5 Sep 2017 14:04:14 +0300
> Subject: [PATCH 1/1] doc: Replace server-list with server-blocks.
> 
> * doc/guix.texi (Web Services): Replace 'server-list' with
> 'server-blocks'. ---
>  doc/guix.texi | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
> 
> diff --git a/doc/guix.texi b/doc/guix.texi
> index e7a88e19f..9ac52535b 100644

I'm having problems applying this:

error: sha1 information is lacking or useless (doc/guix.texi).
error: could not build fake ancestor

I think this might be happening, as I don't have something locally that
coresponds to e7a88e19f. Is this patch on some version of guix.texi
that hasn't made it in to the master branch yet?

> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -14038,7 +14038,7 @@ A simple example configuration is given below.
>  @example
>  (service nginx-service-type
>           (nginx-configuration
> -           (server-list
> +           (server-blocks
>               (list (nginx-server-configuration
>                       (server-name '("www.example.com"))
>                       (root "/srv/http/www.example.com")
> @@ -14086,7 +14086,7 @@ The directory to which NGinx will write log
> files. The directory in which NGinx will create a pid file, and write
> temporary files.
>  
> -@item @code{server-list} (default: @code{'()})
> +@item @code{server-blocks} (default: @code{'()})
>  A list of @dfn{server blocks} to create in the generated
> configuration file, the elements should be of type
>  @code{<nginx-server-configuration>}.
> @@ -14097,7 +14097,7 @@ HTTPS.
>  @example
>  (service nginx-service-type
>           (nginx-configuration
> -           (server-list
> +           (server-blocks
>               (list (nginx-server-configuration
>                       (server-name '("www.example.com"))
>                       (root "/srv/http/www.example.com")
> @@ -14122,7 +14122,7 @@ requests with two servers.
>  (service
>    nginx-service-type
>    (nginx-configuration
> -    (server-list
> +    (server-blocks
>        (list (nginx-server-configuration
>                (server-name '("www.example.com"))
>                (root "/srv/http/www.example.com")
> @@ -14144,7 +14144,7 @@ requests with two servers.
>  @item @code{config-file} (default: @code{#f})
>  If the @var{config-file} is provided, this will be used, rather than
>  generating a configuration file from the provided
> @code{log-directory}, -@code{run-directory}, @code{server-list} and
> @code{upstream-list}.  For +@code{run-directory},
> @code{server-blocks} and @code{upstream-list}.  For proper operation,
> these arguments should match what is in @var{config-file} to ensure
> that the directories are created when the service is activated.

Thanks for spotting this. Obviously I missed it when removing the
nginx-service procedure.

It looks like this is also a problem elsewhere in the docs, as I can
see a few more instances of server-list. Also, it looks like
upstream-list has exactly the same problem. I think it would be good to
fix all of the server-list bits in this patch at least. Could you add
them?